// Задача "Деление с остатком"
// 10-ая Интернет-олимпиада сезона 2006-2007, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Федор Царев, tsarev@rain.ifmo.ru

import java.io.*;
import java.util.*;
import java.math.*;

public class divide_ft implements Runnable {

	private Scanner in;
	private PrintWriter out;

	private void solve() throws IOException {
		BigInteger n = in.nextBigInteger();
		BigInteger k = in.nextBigInteger();
		out.println(n.remainder(k));
	}

	public void run() {
		try {
			solve();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		} finally {
			out.close();
		}
	}
	
	private divide_ft(String name) {
		try {
			in = new Scanner(new File(name + ".in"));
			out = new PrintWriter(new FileWriter(name + ".out"));	
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(239);
		}
	}

	public static void main(String[] args) {
		(new Thread(new divide_ft("divide"))).start();
	}
}
